- Qt 6.4
- Qt Quick 3D
- QML Types
- QtQuick3D.Helpers
- DebugView
- Qt Quick 3D | Commercial or GPLv3

# DebugView QML Type

View to show render statistics. More...

Import Statement: | import QtQuick3D.Helpers

- List of all members, including inherited members

## Properties

- source : var

## Detailed Description

This helper allows viewing render performance statistics of a View3D. It shows the FPS, sync and render times.

For example, the following snippet shows how a DebugView can be added that shows its information in the top-left corner of the Qt Quick scene:

     View3D {
         id: v3d
         anchors.fill: parent
         camera: camera
         PerspectiveCamera {
             id: camera
             position: Qt.vector3d(0, 0, 600)
         }
         ...
     }
     DebugView {
         source: v3d
     }

## Property Documentation

source : var

Specifies the source View3D to show the statistics from.